Bug 2251510 - Review Request: jalv_select - A LV2 Synthesizer launcher for Jack audio
Summary: Review Request: jalv_select - A LV2 Synthesizer launcher for Jack audio
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/brummer10/jalv_select
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2023-11-25 22:00 UTC by ycollet
Modified: 2023-12-25 21:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-25 21:51:10 UTC
Type: ---
Embargoed:
nphilipp: fedora-review+


Attachments (Terms of Use)
The jalv_select SPEC file (2.35 KB, text/plain)
2023-11-25 22:02 UTC, ycollet
no flags Details
The .spec file difference from Copr build 6743821 to 6771110 (1.92 KB, patch)
2023-12-19 21:12 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 6771110 to 6775462 (1.21 KB, patch)
2023-12-20 21:35 UTC, Fedora Review Service
no flags Details | Diff

Description ycollet 2023-11-25 22:00:39 UTC
jalv_select is a command line tool allowing to select LV2 plugins using a simple GUI. This plugin can be connected into jack once selected.

The source code is hosted on github:
https://github.com/brummer10/jalv_select

This package has already been built on COPR:
https://copr.fedorainfracloud.org/coprs/ycollet/audinux/build/6411010/


Reproducible: Always

Comment 1 ycollet 2023-11-25 22:02:12 UTC
Created attachment 2001443 [details]
The jalv_select SPEC file

Comment 3 ycollet 2023-11-28 20:28:30 UTC
A priori, fedora-review works fine now on this bug report:
$ fedora-review -b 2251510

Comment 4 ycollet 2023-11-28 20:54:26 UTC
Currently fixing some items in the review ...
I will post and update once this is done.

Comment 6 ycollet 2023-11-28 21:54:39 UTC
Fixed.

Comment 7 ycollet 2023-12-05 10:27:51 UTC
You can start the review.

Comment 8 Nils Philippsen 2023-12-07 19:38:19 UTC
(In reply to ycollet from comment #7)
> You can start the review.

👍

The bot which automatically runs fedora-review didn’t get triggered on this ticket, probably because the ticket summary wasn’t in the expected format. I'll change it to conform, let’s see if it gets picked up…

Comment 9 ycollet 2023-12-08 15:55:38 UTC
So, still no review posted by the bot. Maybe the best thing to do is to close this ticket and create a new one using the correct workflow :) ?

Comment 10 Nils Philippsen 2023-12-08 18:36:24 UTC
(In reply to ycollet from comment #9)
> So, still no review posted by the bot. Maybe the best thing to do is to
> close this ticket and create a new one using the correct workflow :) ?

We don’t have to this time, I can just run fedora-review myself. 😉

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package doesn’t install properly:

  --- 8< ---
  DEBUG util.py:446:  Error:
  DEBUG util.py:446:   Problem: conflicting requests
  DEBUG util.py:446:    - nothing provides jalv-gtkmm needed by jalv_select-1.3.0.29ea666-6.fc40.x86_64 from @commandline
  DEBUG util.py:448:  (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
  --- >8 ---

  With the recent update to jalv 1.6.8, the jalv.gtkmm program isn’t built anymore and the
  jalv-gtkmm subpackage is obsoleted by the jalv main package.
  => Please remove the dependency on jalv-gtkmm
- The spec file says the license is “GPL-2.0-or-later”, but the actual license is “Unlicense” (as
  per the LICENSE file and the header of jalv.select.cpp).
  => Please update the License: field
- The package is of a git snapshot, but the version/release don’t conform to the guidelines:
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots
  Traditionally, the git revision would have to be encoded into the release field. Meanwhile, we put
  the date and git hash into the version field, separated with a caret “^”, e.g. in the format
  “<version>^<date><scm><revision>” (there are a couple of formats to choose from). In this case
  here, the version field would be e.g. “1.3.0^20221019git29ea666”. However, this sorts below the
  current version of the audinux package “1.3.0.29ea666”, so to make it update the Audinux package
  you would have to add an epoch.
  => Set epoch/version/release to e.g.:
     Epoch: 1
     Version: “1.3.0^20221019git29ea666”  # or another documented snapshot format, as you prefer
     Release: 1%{?_dist}
- The package should use %_prefix instead of %_usr. The latter is a legacy macro, see the respective
  section in the Packaging Guidelines for details:
  https://docs.fedoraproject.org/en-US/packaging-guidelines/RPMMacros/#macros_installation



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
     Note: The package contains a git snapshot but version/release don’t conform to the respective
     guidelines (see above).
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 3325 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.
[!]: Spec file uses symbolic macros for common paths.
     Note: Uses %_usr instead of %_prefix


Rpmlint
-------
Checking: jalv_select-1.3.0.29ea666-6.fc40.x86_64.rpm
          jalv_select-debuginfo-1.3.0.29ea666-6.fc40.x86_64.rpm
          jalv_select-debugsource-1.3.0.29ea666-6.fc40.x86_64.rpm
          jalv_select-1.3.0.29ea666-6.fc40.src.rpm
============================================================================================== rpmlint session starts =============================================================================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpshppyviz')]
checks: 31, packages: 4

jalv_select.x86_64: W: no-manual-page-for-binary jalv.select
jalv_select.x86_64: W: incoherent-version-in-changelog 1.3.0-6 ['1.3.0.29ea666-6.fc40', '1.3.0.29ea666-6']
=============================================================== 4 packages and 0 specfiles checked; 0 errors, 2 warnings, 0 badness; has taken 0.3 s ==============================================================

==> The package installs man pages so this must be rpmlint acting up. The version thing is because
of the git snapshot.



Source checksums
----------------
https://github.com/brummer10/jalv_select/archive/29ea666b14e6a1c81190b6b6607fa1b090e20209.tar.gz#/jalv_select-29ea666.tar.gz :
  CHECKSUM(SHA256) this package     : 777fd8cda8286e064a1c7fa35bc4e03fee187ab2437f8c97efbe8843f124da6b
  CHECKSUM(SHA256) upstream package : 777fd8cda8286e064a1c7fa35bc4e03fee187ab2437f8c97efbe8843f124da6b


Requires
--------
jalv_select (rpmlib, GLIBC filtered):
    jalv
    jalv-gtk
    jalv-gtkmm
    jalv-qt
    libX11.so.6()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkmm-3.0.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgtk-3.so.0()(64bit)
    libgtkmm-3.0.so.1()(64bit)
    liblilv-0.so.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

jalv_select-debuginfo (rpmlib, GLIBC filtered):

jalv_select-debugsource (rpmlib, GLIBC filtered):



Provides
--------
jalv_select:
    application()
    application(jalv.select.desktop)
    jalv_select
    jalv_select(x86-64)

jalv_select-debuginfo:
    debuginfo(build-id)
    jalv_select-debuginfo
    jalv_select-debuginfo(x86-64)

jalv_select-debugsource:
    jalv_select-debugsource
    jalv_select-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2251510
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: R, Java, Ocaml, Haskell, PHP, SugarActivity, Perl, Python, fonts
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 11 Nils Philippsen 2023-12-08 18:39:57 UTC
Ah, of course I forgot one thing: The Makefile installs a French man page into /usr/share/man/man1/jalv.select.fr.1.gz, but this should be moved to /usr/share/man/fr/man1/jalv.select.1.gz instead, so that people with a French locale get it automatically when doing `man jalv.select`.

Comment 12 ycollet 2023-12-11 13:32:14 UTC
Thanks for the review.
I will try to fix this tonight !

Comment 14 ycollet 2023-12-12 11:00:44 UTC
I fixed the man installation via a patch.
I fixed the version using epoch + formatting of the release field.
I fixed the jalv-gtkmm problem.

I just activated a fedora-rawhide repo for x86_64 and aarch64 for the future tests of the specs (to avoid the jalv-gtkmm kind of problems in the future)

Comment 15 Fedora Review Service 2023-12-12 11:07:48 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6743821
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2251510-jalv_select/fedora-rawhide-x86_64/06743821-jalv_select/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 16 Nils Philippsen 2023-12-16 16:54:47 UTC
(In reply to ycollet from comment #14)
> I fixed the man installation via a patch.

Thanks! Would you please submit the patch upstream and link the PR in the spec file? Let me know if I can help with that.

- Upstream repo: https://github.com/brummer10/jalv_select
- Relevant guideline: https://docs.fedoraproject.org/en-US/packaging-guidelines/#_all_patches_should_have_an_upstream_bug_link_or_comment

> I fixed the version using epoch + formatting of the release field.

Do you plan to build on EPEL7, too? Otherwise packages should use the tilde/caret versions for pre- and post-release snapshots:

https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_handling_non_sorting_versions_with_tilde_dot_and_caret

Thankfully, it will sort well after the change, 1:1.3.0^20221019git29ea666-1 sorts higher than 1:1.3.0-6.20221019git29ea666 for RPM.

> I fixed the jalv-gtkmm problem.

Thanks!

One thing I missed originally is that the changelog should describe changes relevant to users (e.g. version updates, patches applied), i.e. if it’s irrelevant, just skip the entry. And it’s suggested to let the "Release:" field and package changelog be automatically generated (from git commits and their log entries):

https://docs.fedoraproject.org/en-US/packaging-guidelines/#changelogs

I’m biased here, as I was involved in implementing this feature 😉, but it can save you some work. However, it doesn’t work in COPR (as there are no meaningful log entries with the commits) – maybe let’s change this when importing the package into distgit. With the changes mentioned above, it would look like:

...
Epoch: 1
Version: 1.3.0^%{commitdate}git%{shortcommit0}
Release: %autorelease
...
%changelog
%autochangelog
...

As here, I would put the "Epoch:" field above "Version:", just so these fields are in order of significance.

Comment 17 ycollet 2023-12-18 09:57:38 UTC
Thanks for the review. I will try to fix these items tonight or tomorrow :)

Comment 18 ycollet 2023-12-19 20:45:34 UTC
I opened a ticket: https://github.com/brummer10/jalv_select/issues/41
And created a PR too: https://github.com/brummer10/jalv_select/pull/42

Comment 20 Fedora Review Service 2023-12-19 21:12:07 UTC
Created attachment 2005056 [details]
The .spec file difference from Copr build 6743821 to 6771110

Comment 21 Fedora Review Service 2023-12-19 21:12:09 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6771110
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2251510-jalv_select/fedora-rawhide-x86_64/06771110-jalv_select/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 22 ycollet 2023-12-20 09:14:58 UTC
I will update the spec. The PR related to man pages has been merged yesterday.

Comment 24 Fedora Review Service 2023-12-20 21:35:28 UTC
Created attachment 2005225 [details]
The .spec file difference from Copr build 6771110 to 6775462

Comment 25 Fedora Review Service 2023-12-20 21:35:31 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6775462
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2251510-jalv_select/fedora-rawhide-x86_64/06775462-jalv_select/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 26 Nils Philippsen 2023-12-21 13:10:46 UTC
This package is APPROVED, and I will sponsor you as a packager.

I noticed one minor thing which I don’t seem mentioned in the guidelines: The %description section
usually uses full sentences, maybe you want to change that. Or not, it’s your choice!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 3325 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jalv_select-1.3.0^20231220gitaab00aa-1.fc40.x86_64.rpm
          jalv_select-debuginfo-1.3.0^20231220gitaab00aa-1.fc40.x86_64.rpm
          jalv_select-debugsource-1.3.0^20231220gitaab00aa-1.fc40.x86_64.rpm
          jalv_select-1.3.0^20231220gitaab00aa-1.fc40.src.rpm
======================================= rpmlint session starts =======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpkj9p7eii')]
checks: 31, packages: 4

jalv_select.x86_64: W: no-manual-page-for-binary jalv.select
======== 4 packages and 0 specfiles checked; 0 errors, 1 warnings, 0 badness; has taken 0.3 s ========




Rpmlint (debuginfo)
-------------------
Checking: jalv_select-debuginfo-1.3.0^20231220gitaab00aa-1.fc40.x86_64.rpm
======================================= rpmlint session starts =======================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmps9kkzow7')]
checks: 31, packages: 1

======== 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s ========





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 3

jalv_select.x86_64: W: no-manual-page-for-binary jalv.select
 3 packages and 0 specfiles checked; 0 errors, 1 warnings, 13 filtered, 0 badness; has taken 0.3 s 



Source checksums
----------------
https://github.com/brummer10/jalv_select/archive/aab00aadee7e9ea498bc59c5cd819505fe8b8c1d.tar.gz#/jalv_select-aab00aa.tar.gz :
  CHECKSUM(SHA256) this package     : dbb6b3cc7c2650abcfb046660967fc5706225949c7860c3eb97b096f8f586977
  CHECKSUM(SHA256) upstream package : dbb6b3cc7c2650abcfb046660967fc5706225949c7860c3eb97b096f8f586977


Requires
--------
jalv_select (rpmlib, GLIBC filtered):
    jalv
    jalv-gtk
    jalv-qt
    libX11.so.6()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkmm-3.0.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgtk-3.so.0()(64bit)
    libgtkmm-3.0.so.1()(64bit)
    liblilv-0.so.0()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

jalv_select-debuginfo (rpmlib, GLIBC filtered):

jalv_select-debugsource (rpmlib, GLIBC filtered):



Provides
--------
jalv_select:
    application()
    application(jalv.select.desktop)
    jalv_select
    jalv_select(x86-64)

jalv_select-debuginfo:
    debuginfo(build-id)
    jalv_select-debuginfo
    jalv_select-debuginfo(x86-64)

jalv_select-debugsource:
    jalv_select-debugsource
    jalv_select-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2251510
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Java, PHP, Python, SugarActivity, Perl, fonts, Haskell, Ocaml, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comment 27 ycollet 2023-12-22 14:17:47 UTC
I will update the spec with a better description tonight.

Comment 29 Nils Philippsen 2023-12-25 09:54:35 UTC
Thanks for the update, the package is approved already:

(In reply to Nils Philippsen from comment #26)
> This package is APPROVED, and I will sponsor you as a packager.

Let me know in the chat if you have questions about the rest of the process.

Comment 30 ycollet 2023-12-25 20:49:41 UTC
OK. I'll be back in a day or two (holydays here) and will read the doc in the mean time !

Comment 31 Fedora Admin user for bugzilla script actions 2023-12-25 21:30:08 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/jalv_select

Comment 32 Fedora Update System 2023-12-25 21:50:35 UTC
FEDORA-2023-d3e4d64af9 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-d3e4d64af9

Comment 33 Fedora Update System 2023-12-25 21:51:10 UTC
FEDORA-2023-d3e4d64af9 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.